Spigot Carbon 1.8

Adds future Minecraft content to older Spigot versions. (Spigot 1.7 ~> Spigot 1.8)

  1. I thought you mean Carbon1 files. Yea Carbon2 is currently licensed under GPLv3.
     
    • Agree Agree x 1
  2. @NavidK0 So... is this the end of Carbon v2.0? You updated your main plugin page saying its probably not going to happen :/ Carbon v2.0 was what was going to my lifeline for my server, I was actually just installing it as I read your updated page. Is there any sort of probability you will be continuing to develop it? If not, would I be able to compile my own privately? I'm not really familiar with licensing over plugins from other people.
     
  3. I'm sorry to say it is the end of Carbon 2.0. We felt it unnecessary to develop something that ultimately is pointless, as Minecraft 1.9 is better than Minecraft 1.8 is every way, in performance, features, pretty much everything. I'm not even getting into how little time all of us (the dev team) have. It's a pain to have to deobfuscate every new snapshot, because the obfuscated files are different every release, meaning we start over from scratch every time. The reason we did better with 1.8 is because Minecraft 1.8 was already out, not constantly changing. Spigot 1.9 is going to be far more stable than what Carbon v2.0 could ever offer.

    Yes, you can compile your own privately. The license is MIT, meaning all you have to do is keep the Carbon 2.0 project under the MIT license.

    But honestly, why not just update to 1.9 when it comes out?
     
    • Agree Agree x 6
    • Optimistic Optimistic x 1
  4. Please.Go to 1.9
     
    • Agree Agree x 2
    • Funny Funny x 1
  5. Hey guys, you can use this plugin to connect to 1.8 via 1.9. It's not similar Carbon, it's more of a hack to convert packets, but it works well and is being actively developed.

    Here's the link.
     
    • Agree Agree x 1
    • Informative Informative x 1
  6. Nice plugin.
     
  7. help
    Code (Text):
    [16:02:34 INFO]: [Carbon] Loading Carbon v1.8
    [16:02:34 INFO]: [Carbon] Server version git-PaperSpigot-43 (MC: 1.7.10) detected! Carbon is loading...
    [16:02:34 INFO]: [Carbon] Lib folder has been set to plugins/Carbon/libraries/natives
    [16:02:40 INFO]: com.sun.tools.attach.AttachNotSupportedException: Unable to open socket file: target process not responding or HotSpot VM not loaded
    [16:02:40 INFO]:        at sun.tools.attach.LinuxVirtualMachine.<init>(LinuxVirtualMachine.java:104)
    [16:02:40 INFO]:        at sun.tools.attach.LinuxAttachProvider.attachVirtualMachine(LinuxAttachProvider.java:58)
    [16:02:40 INFO]:        at com.sun.tools.attach.VirtualMachine.attach(VirtualMachine.java:71)
    [16:02:40 INFO]:        at com.lastabyss.carbon.instrumentation.AgentLoader.attachAgentToJVM(AgentLoader.java:38)
    [16:02:40 INFO]:        at com.lastabyss.carbon.instrumentation.Instrumentator.instrumentate(Instrumentator.java:36)
    [16:02:40 INFO]:        at com.lastabyss.carbon.Carbon.onLoad(Carbon.java:95)
    [16:02:40 INFO]:        at org.bukkit.craftbukkit.v1_7_R4.CraftServer.loadPlugins(CraftServer.java:375)
    [16:02:40 INFO]:        at net.minecraft.server.v1_7_R4.DedicatedServer.init(DedicatedServer.java:169)
    [16:02:40 INFO]:        at net.minecraft.server.v1_7_R4.MinecraftServer.run(MinecraftServer.java:493)
    [16:02:40 INFO]:        at net.minecraft.server.v1_7_R4.ThreadServerApplication.run(SourceFile:628)
    [16:02:40 WARN]: [Carbon] 1.8 injection failed! Something went wrong, server cannot start properly, shutting down...
     
  8. @serivesmejia Update your server to 1.8 or 1.9 lol There is no point to use Carbon anymore.
     
    • Agree Agree x 2
  9. For which version is this plugin for 1.7 or 1.8? I am confused. Plus I tried it on my 1.8 server, but it did not show up in the /pl and it did not even make a folder in my plugins directory. What am I doing wrong (I might be doing something really stupid)?
     
  10. Carbon is a plugin for 1.7.10 servers
    Its useless on 1.8 or 1.9 as it used to make 1.7.10 servers act as 1.8 servers when spigot had an issue blocking them from releasing 1.8 version
     
  11. Plugin won't load.
    Code (Text):
    03.07 22:56:08 [Server] ERROR Could not load 'plugins/Carbon.jar' in folder 'plugins'
    03.07 22:56:08 [Server] INFO org.bukkit.plugin.InvalidPluginException: java.lang.NoClassDefFoundError: net/minecraft/server/v1_7_R4/World
    03.07 22:56:08 [Server] INFO at org.bukkit.plugin.java.JavaPluginLoader.loadPlugin(JavaPluginLoader.java:135) ~[spigot.jar:git-Spigot-550ebac-7019900]
    03.07 22:56:08 [Server] INFO at org.bukkit.plugin.SimplePluginManager.loadPlugin(SimplePluginManager.java:329) ~[spigot.jar:git-Spigot-550ebac-7019900]
    03.07 22:56:08 [Server] INFO at org.bukkit.plugin.SimplePluginManager.loadPlugins(SimplePluginManager.java:251) [spigot.jar:git-Spigot-550ebac-7019900]
    03.07 22:56:08 [Server] INFO at org.bukkit.craftbukkit.v1_8_R1.CraftServer.loadPlugins(CraftServer.java:291) [spigot.jar:git-Spigot-550ebac-7019900]
    03.07 22:56:08 [Server] INFO at net.minecraft.server.v1_8_R1.DedicatedServer.init(DedicatedServer.java:152) [spigot.jar:git-Spigot-550ebac-7019900]
    03.07 22:56:08 [Server] INFO at net.minecraft.server.v1_8_R1.MinecraftServer.run(MinecraftServer.java:505) [spigot.jar:git-Spigot-550ebac-7019900]
    03.07 22:56:08 [Server] INFO at java.lang.Thread.run(Thread.java:745) [?:1.8.0_77]
    03.07 22:56:08 [Server] INFO Caused by: java.lang.NoClassDefFoundError: net/minecraft/server/v1_7_R4/World
    03.07 22:56:08 [Server] INFO at com.lastabyss.carbon.Carbon.<init>(Carbon.java:41) ~[?:?]
    03.07 22:56:08 [Server] INFO at sun.reflect.NativeConstructorAccessorImpl.newInstance0(Native Method) ~[?:1.8.0_77]
    03.07 22:56:08 [Server] INFO at sun.reflect.NativeConstructorAccessorImpl.newInstance(NativeConstructorAccessorImpl.java:62) ~[?:1.8.0_77]
    03.07 22:56:08 [Server] INFO at sun.reflect.DelegatingConstructorAccessorImpl.newInstance(DelegatingConstructorAccessorImpl.java:45) ~[?:1.8.0_77]
    03.07 22:56:08 [Server] INFO at java.lang.reflect.Constructor.newInstance(Constructor.java:423) ~[?:1.8.0_77]
    03.07 22:56:08 [Server] INFO at java.lang.Class.newInstance(Class.java:442) ~[?:1.8.0_77]
    03.07 22:56:08 [Server] INFO at org.bukkit.plugin.java.PluginClassLoader.<init>(PluginClassLoader.java:76) ~[spigot.jar:git-Spigot-550ebac-7019900]
    03.07 22:56:08 [Server] INFO at org.bukkit.plugin.java.JavaPluginLoader.loadPlugin(JavaPluginLoader.java:131) ~[spigot.jar:git-Spigot-550ebac-7019900]
    03.07 22:56:08 [Server] INFO ... 6 more
    03.07 22:56:08 [Server] INFO Caused by: java.lang.ClassNotFoundException: net.minecraft.server.v1_7_R4.World
     
  12. They arent supporting it anymore. Update your server to a newer mc version dude.
     
    • Informative Informative x 1
  13. Any way for there to be bukkit 1.7.2 compatibility? :3
     
    #1413 Sidewalk, Mar 6, 2017
    Last edited: May 23, 2017
  14. Question. My server is 1.8 predominant, and I want to add this plugin, to make it so nativity works with 1.7-1.11 but does it also disable 1.8 and up blocks? Because wouldn't that be needs for players with 1.7, because wouldn't those using 1.7 not be able to see 1.8 blocks like slimeblocks?
     
  15. You want ProtocolSupport or ViaVersion/ViaBackwards. This plugin is quite dead and is for 1.7 servers
     
  16. Or just update to 1.11 and stop worrying about some old version crap... I seriously do not understand why servers do not update because they are butthurt over some PvP change... Yeah, I used to play classic kitpvp years ago, but whatever I've gotten over the 1.9 change; it's been years already.
     
  17. Code (Text):

    [15:23:08 ERROR]: Could not load 'plugins/Carbon.jar' in folder 'plugins' org.bukkit.plugin.InvalidPluginException: java.lang.NoClassDefFoundError: net/minecraft/server/v1_7_R4/World
             at org.bukkit.plugin.java.JavaPluginLoader.loadPlugin(JavaPluginLoader.java:135) ~[spigot-1.8.8.jar:git-Spigot-21fe707-e1ebe52]
             at org.bukkit.plugin.SimplePluginManager.loadPlugin(SimplePluginManager.java:329) ~[spigot-1.8.8.jar:git-Spigot-21fe707-e1ebe52]
             at org.bukkit.plugin.SimplePluginManager.loadPlugins(SimplePluginManager.java:251) [spigot-1.8.8.jar:git-Spigot-21fe707-e1ebe52]
             at org.bukkit.craftbukkit.v1_8_R3.CraftServer.loadPlugins(CraftServer.java:292) [spigot-1.8.8.jar:git-Spigot-21fe707-e1ebe52]
             at net.minecraft.server.v1_8_R3.DedicatedServer.init(DedicatedServer.java:198) [spigot-1.8.8.jar:git-Spigot-21fe707-e1ebe52]
             at net.minecraft.server.v1_8_R3.MinecraftServer.run(MinecraftServer.java:525) [spigot-1.8.8.jar:git-Spigot-21fe707-e1ebe52]
             at java.lang.Thread.run(Thread.java:745) [?:1.8.0_112] Caused by: java.lang.NoClassDefFoundError: net/minecraft/server/v1_7_R4/World
             at com.lastabyss.carbon.Carbon.<init>(Carbon.java:41) ~[?:?]
             at sun.reflect.NativeConstructorAccessorImpl.newInstance0(Native Method) ~[?:1.8.0_112]
             at sun.reflect.NativeConstructorAccessorImpl.newInstance(NativeConstructorAccessorImpl.java:62) ~[?:1.8.0_112]
             at sun.reflect.DelegatingConstructorAccessorImpl.newInstance(DelegatingConstructorAccessorImpl.java:45) ~[?:1.8.0_112]
             at java.lang.reflect.Constructor.newInstance(Constructor.java:423) ~[?:1.8.0_112]
             at java.lang.Class.newInstance(Class.java:442) ~[?:1.8.0_112]
             at org.bukkit.plugin.java.PluginClassLoader.<init>(PluginClassLoader.java:76) ~[spigot-1.8.8.jar:git-Spigot-21fe707-e1ebe52]
             at org.bukkit.plugin.java.JavaPluginLoader.loadPlugin(JavaPluginLoader.java:131) ~[spigot-1.8.8.jar:git-Spigot-21fe707-e1ebe52]
             ... 6 more
    Caused by: java.lang.ClassNotFoundException: net.minecraft.server.v1_7_R4.World
             at org.bukkit.plugin.java.PluginClassLoader.findClass(PluginClassLoader.java:91) ~[spigot-1.8.8.jar:git-Spigot-21fe707-e1ebe52]
             at org.bukkit.plugin.java.PluginClassLoader.findClass(PluginClassLoader.java:86) ~[spigot-1.8.8.jar:git-Spigot-21fe707-e1ebe52]
             at java.lang.ClassLoader.loadClass(ClassLoader.java:424) ~[?:1.8.0_112]
             at java.lang.ClassLoader.loadClass(ClassLoader.java:357) ~[?:1.8.0_112]
             at com.lastabyss.carbon.Carbon.<init>(Carbon.java:41) ~[?:?]
             at sun.reflect.NativeConstructorAccessorImpl.newInstance0(Native Method) ~[?:1.8.0_112]
             at sun.reflect.NativeConstructorAccessorImpl.newInstance(NativeConstructorAccessorImpl.java:62) ~[?:1.8.0_112]
             at sun.reflect.DelegatingConstructorAccessorImpl.newInstance(DelegatingConstructorAccessorImpl.java:45) ~[?:1.8.0_112]         at java.lang.reflect.Constructor.newInstance(Constructor.java:423) ~[?:1.8.0_112]
             at java.lang.Class.newInstance(Class.java:442) ~[?:1.8.0_112]
             at org.bukkit.plugin.java.PluginClassLoader.<init>(PluginClassLoader.java:76) ~[spigot-1.8.8.jar:git-Spigot-21fe707-e1ebe52]
             at org.bukkit.plugin.java.JavaPluginLoader.loadPlugin(JavaPluginLoader.java:131) ~[spigot-1.8.8.jar:git-Spigot-21fe707-e1ebe52]
             ... 6 more
     
     
  18. This plugin is for 1.7 servers only. All it does is port some 1.8 features to 1.7 servers. There is no reason why you need it on a 1.8 server.